Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 274281 - sci-visualization/vis5d+ removal request (was: fails to build with gcc-4.4)
Summary: sci-visualization/vis5d+ removal request (was: fails to build with gcc-4.4)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-15 20:26 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-12 14:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (vis5d+-1.2.1:20090615-174132.log,135.71 KB, text/plain)
2009-06-15 20:27 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-15 20:26:49 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-15 20:27:36 UTC
Created attachment 194831 [details]
Build log
Comment 2 Samuli Suominen gentoo-dev 2009-08-11 08:56:40 UTC
# Samuli Suominen <ssuominen@gentoo.org> (11 Aug 2009)
# For vis5d+, see https://bugs.gentoo.org/show_bug.cgi?id=274281
# For cgal-python, see https://bugs.gentoo.org/show_bug.cgi?id=278106
# These will be removed or fixed in 60 days but they can't be unmasked
# before they have.
dev-python/cgal-python
sci-visualization/vis5d+
Comment 3 Samuli Suominen gentoo-dev 2009-08-12 14:12:22 UTC
Fixed. Renamed 'round' to 'Round' and everything is okayish. The code isn't 64bit safe, and Portage 2.2_pre aborts on install phase so I've marked it as -amd64 but x86 users can still enjoy from it.